php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #22365 Error Loading PHP 4.3.1 as module in Apache 2
Submitted: 2003-02-21 16:17 UTC Modified: 2003-02-21 16:47 UTC
Votes:1
Avg. Score:5.0 ± 0.0
Reproduced:1 of 1 (100.0%)
Same Version:1 (100.0%)
Same OS:1 (100.0%)
From: email at kennethburgener dot org Assigned:
Status: Closed Package: Apache2 related
PHP Version: 4.3.1 OS: Windows 2000 Server
Private report: No CVE-ID: None
View Add Comment Developer Edit
Welcome! If you don't have a Git account, you can't do anything here.
You can add a comment by following this link or if you reported this bug, you can edit this bug over here.
(description)
Block user comment
Status: Assign to:
Package:
Bug Type:
Summary:
From: email at kennethburgener dot org
New email:
PHP Version: OS:

 

 [2003-02-21 16:17 UTC] email at kennethburgener dot org
I just installed Apache v2.0.44 and the newest PHP v4.3.1 onto a Windows 2000 server.  The adding PHP as a CGI binary works great, but I wanted to add it as a module and I get the following error:

Apache.exe: module "c:\php4build\snap\sapi\apache2filter\sapi_apache2.c" is not
compatible with this version of Apache (found 20020628, need 20020903).
Please contact the vendor for the correct version.
Note the errors or messages above, and press the <ESC> key to exit. 30...

This is with the following lines added:
LoadModule php4_module c:/php/sapi/php4apache2.dll
AddType application/x-httpd-php .php

It seems that the correct version isn't comming with the most recent download, and I'm even a bit more puzzled by the "c:\php4build" as I installed it to "c:\php".  Neither "c:\php4build" and "sapi_apache2.c" exist.

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2003-02-21 16:30 UTC] email at kennethburgener dot org
After more research into this and other comments about a similar issue, I found that this issue must be related to the partiular build I downloaded:

PHP 4.3.1 installer [1,028Kb] - 17 February 2003

I downloaded the .ZIP version (not the "installer" version) and reinstalled PHP.  It works great now.  It's a shame the installer version has a problem as it is a much nicer install.
 [2003-02-21 16:47 UTC] email at kennethburgener dot org
forgot to close this with my last submission.  sorry.
 
PHP Copyright © 2001-2021 The PHP Group
All rights reserved.
Last updated: Mon Dec 06 12:03:37 2021 UTC